# jobs

Testing different job scheduling and job parsing crates.

## apalis

### PostgreSQL

Create database.

```zsh
createdb foobar
```

Run sample program.

```zsh
DATABASE_URL="postgres://${USER}:passwordifany@localhost/foobar" cargo run --release --bin using-crate-apalis-postgres
```

### SQLite

Run sample program.

```zsh
cargo run --release --bin using-crate-apalis-sqlite
```

## Clokwerk

Run sample program.

```zsh
cargo run --release --bin using-crate-clokwerk
```

## Cron

Run sample program.

```zsh
cargo run --release --bin using-crate-cron
```

## Cron\_job

Run sample program.

```zsh
cargo run --release --bin using-crate-cron_job
```

## Cron\_tab

Run sample programs.

```zsh
cargo run --release --bin using-crate-cron_tab-sync
```

```zsh
cargo run --release --bin using-crate-cron_tab-async
```

## Croner

Run sample program.

```zsh
cargo run --release --bin using-crate-croner
```

## Delay\_timer

Run sample programs.

```zsh
cargo run --release --bin using-crate-delay_timer-internal
```

```zsh
cargo run --release --bin using-crate-delay_timer-in-async-context
```

## English-to-cron

Run sample program.

```zsh
cargo run --release --bin using-crate-english-to-cron
```

## Tokio-cron-scheduler

Run sample programs.

```zsh
cargo run --release --bin using-crate-tokio-cron-scheduler-simple_job_tokio_in_a_thread
```

```zsh
cargo run --release --bin using-crate-tokio-cron-scheduler-simple_job
```

```zsh
cargo run --release --bin using-crate-tokio-cron-scheduler-postgres_job
```
